Subject: June 30 - Banana vs Sky

From: "Mike Bradley" <[email-masked]>
Date: Wed, 7 Jul 2004 08:46:36 -0400

Banana 14  Sky 17

Oh this was a great game.  During the first half, Sky raced out to a lead of 2-7, but Team Banana showed their mettle and ended up taking half 9-8.  I suppose one of the main highlights of the first half was Capt. Lucky of Sky lay out D of a softly thrown end zone pass by someone who will remain nameless (ok it was me).  The second half was close and as darkness fell, but Sky prevailed and came out on top.  On a personal note, I had the unfortunate task of chasing Lucky and Scott Martin around all night.  A task I wish upon no other RIPUL player.

Capt. Mike of Banana